> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a version for an asset

> Requires the commit_id, asset_id, and temp upload id.
Adds the version with the file from the temp location and assigns the version to the commit.
Returns version_id on success.




## OpenAPI

````yaml post /workspaces/import/create/version
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/import/create/version:
    post:
      tags:
        - Asset Import (upload alternative)
      description: >
        Requires the commit_id, asset_id, and temp upload id.

        Adds the version with the file from the temp location and assigns the
        version to the commit.

        Returns version_id on success.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                asset_id:
                  type: string
                  description: The ID of the asset.
                commit_id:
                  type: string
                  description: The ID of the commit.
                upload_key:
                  type: string
                  description: The temporary upload key.
                description:
                  type: string
                  description: Description of the version.
                name:
                  type: string
                  description: Name of the version.
                set_current:
                  type: boolean
                  description: Whether to set this version as current.
                commit_parent_id:
                  type: string
                  description: The parent commit ID.
                checksum:
                  type: string
                  description: The checksum of the file.
      responses:
        '200':
          description: Successfully created version
          content:
            application/json:
              schema:
                type: object
                properties:
                  version_id:
                    type: string
                    description: The ID of the created version.
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````